import { css, html, LitElement, svg, TemplateResult, unsafeCSS } from 'lit';
import { ContextDataProp } from './types/context-data.model.js';
import { RecordProp } from './types/record-widget.model.js';
import { ReportProp } from './types/report-widget.model.js';
import { WidgetType } from './types/widget-type.enum.js';
export declare class SwimlaneElement extends LitElement {
    static styles: import("lit").CSSResultGroup;
    resizeObserver: ResizeObserver;
    record?: RecordProp;
    report?: ReportProp;
    contextData: ContextDataProp;
    widgetType: WidgetType;
    constructor();
    connectedCallback(): void;
    disconnectedCallback(): void;
    render(): TemplateResult;
    resizedCallback(): void;
    /** record event triggers */
    updateRecordValue(key: string, value: unknown): void;
    addComment(key: string, value: string): void;
    triggerIntegration(taskId: string): void;
    triggerSave(): void;
    getFieldId(key: string): string;
    triggerButton(buttonId: string): void;
}
export { html, css, svg, unsafeCSS };
declare global {
    interface HTMLElementTagNameMap {
        'swimlane-element': SwimlaneElement;
    }
}
