export declare enum ActionType {
    SetValue = "setValue",
    AddComment = "addComment",
    TriggerIntegration = "triggerIntegration",
    SaveRecord = "saveRecord",
    TriggerButton = "triggerButton"
}
export interface SetValueEventPayload {
    actionType: ActionType.SetValue;
    key: string;
    value: unknown;
}
export interface AddCommentEventPayload {
    actionType: ActionType.AddComment;
    key: string;
    value: string;
}
export interface TriggerIntegrationEventPayload {
    actionType: ActionType.TriggerIntegration;
    taskId: string;
}
export interface SaveRecordEventPayload {
    actionType: ActionType.SaveRecord;
}
export interface TriggerButtonEventPayload {
    actionType: ActionType.TriggerButton;
    buttonId: string;
}
export declare type ActionEventPayload = SetValueEventPayload | AddCommentEventPayload | TriggerIntegrationEventPayload | SaveRecordEventPayload | TriggerButtonEventPayload;
export declare type ActionEvent = Event & {
    detail: ActionEventPayload;
};
export interface CommentDetail {
    createdByUser: {
        id: string;
        name: string;
    };
    createdDate: Date;
    message: string;
}
